Bug 1014710 - [User Portal] RDP browser plugin shows no error when there's no RDP connection to guest
[User Portal] RDP browser plugin shows no error when there's no RDP connectio...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.3.0
Assigned To: Tomas Jelinek
Pavel Novotny
virt
: Regression
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-02 11:08 EDT by Jiri Belka
Modified: 2014-01-21 17:30 EST (History)
7 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20952 None None None Never
oVirt gerrit 21118 None None None Never

  None (edit)
Description Jiri Belka 2013-10-02 11:08:40 EDT
Description of problem:
If there is a problem to do RDP to guest OS, RDP browser plugin shows no error popup. Native RDP client of course does it.

Version-Release number of selected component (if applicable):
is17

How reproducible:
100%

Steps to Reproduce:
1. create a (fake) w2k12 VM and start it
2. login to User Portal, console type for this VM should be RDP
3. when the VM is 'ready', open console

Actual results:
nothing happens

Expected results:
as there are no Windows Guest Tools and the VM has no record in DNS, it is obvious there's network connection issue.... thus: show an error popup similar like native app is doing

Additional info:
Comment 2 Pavel Novotny 2013-11-15 07:31:38 EST
Verified in rhevm-3.3.0-0.33.beta1.el6ev.noarch (is23) using IE9 x64 @ Windows 7 x64.

Verified according to reproducer from comment 0. 

Actual results:
Error dialog pops up.

--Console Disconnected--
Error connecting to Virtual Machine using RPD:
DNS Lookup Failed
Comment 3 Itamar Heim 2014-01-21 17:27:30 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:27:45 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:30:35 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.